cgGetArrayDimension(3)

NAME
cgGetArrayDimension - get the dimension of an array parameter

SYNOPSIS
  #include <Cg/cg.h>
  int cgGetArrayDimension( CGparameter param );

PARAMETERS

param
    The array parameter handle.

RETURN VALUES
Returns the dimension of param if param references an array.

Returns 0 otherwise.

DESCRIPTION
cgGetArrayDimension returns the dimension of the array specified by param. cgGetArrayDimension is used when inspecting an array parameter in a program.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

HISTORY
cgGetArrayDimension was introduced in Cg 1.1.

SEE ALSO
the cgGetArraySize manpage, the cgCreateParameterArray manpage, the cgCreateParameterMultiDimArray manpage